org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavascriptThread.StateVisitor<R>

Enclosing class:
  JavascriptThread

    public static interface JavascriptThread.StateVisitor<R>

Visitor that is used to describe thread state in UI. It doesn't expose too much of internals.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `visitResumed(org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptThread.ResumeReason resumeReason)`
`R` `visitSuspended(IBreakpoint[] breakpoints, ExceptionData exceptionData)`

### Method Detail

#### visitResumed

    R visitResumed(org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptThread.ResumeReason resumeReason)

#### visitSuspended

    R visitSuspended(IBreakpoint[] breakpoints,
                     ExceptionData exceptionData)